Subject: bug#25002: Fail to preview latex in macOS emacs

From: Michael Heerdegen <[email-masked]>
Date: Thu, 23 Nov 2017 09:10:01 +0100

David Kastrup <[email-masked]> writes:

> That's a different bug (actually several different bugs).  Ghostscript
> has a history of changing its security-related behavior around, and
> every time preview-latex stops working until another patch is committed
> to AUCTeX.  Ghostscript 9.22 finally removed a security related feature
> (the .runandhide operator) without working secure replacement.  A fix
> has already been committed to upstream AUCTeX: this was comparatively
> straightforward to do since preview-latex had in a previous iteration
> already removed security-relevant reliance on this operator in order to
> stop this game, but it had still relied on its use elsewhere.

Ok, it was just a shot in the dark.  Thanks for explaining.

Michael.